#! /bin/sh
set -e

if [ "$1" = remove ]; then
    # We manually installed this link in postinst if missing. It is also
    # installed by the native multiarch package as a proper file. We have
    # to remove it if we are the last package to provide it. Detect that
    # situation by checking for a dangling link.
    if [ -h /usr/lib/ld-linux.so.2 ] && [ ! -f /usr/lib/ld-linux.so.2 ]; then
        rm /usr/lib/ld-linux.so.2
    fi
fi

if [ "$1" = deconfigure ]; then
    :; # blah, do something useful with ldso
fi



exit 0
